E-MailRelay

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GNet::LineBuffer::Config Struct Reference

A configuration structure for GNet::LineBuffer. More...

`#include <glinebuffer.h>`

Collaboration diagram for GNet::LineBuffer::Config:
[legend]

## Public Member Functions
const std::string & | eol () const noexcept
std::size_t | warn () const noexcept
std::size_t | fmin () const noexcept
std::size_t | expect () const noexcept
Config & | set_eol (const std::string &)
Config & | set_warn (std::size_t) noexcept
Config & | set_fmin (std::size_t) noexcept
Config & | set_expect (std::size_t) noexcept

## Static Public Member Functions
static Config | transparent ()
static Config | http ()
static Config | smtp ()
static Config | pop ()
static Config | crlf ()
static Config | newline ()
static Config | autodetect ()

## Public Attributes
std::string | m_eol {"\n",1U}
std::size_t | m_warn {0U}
std::size_t | m_fmin {0U}
std::size_t | m_expect {0U}

## Static Public Attributes
static constexpr std::size_t | inf = ~(std::size_t(0))

## Detailed Description

A configuration structure for GNet::LineBuffer.

Definition at line 91 of file glinebuffer.h.

## Member Function Documentation

## ◆ autodetect()

GNet::LineBuffer::Config GNet::LineBuffer::Config::autodetect | ( |  | ) |
| static

Definition at line 245 of file glinebuffer.cpp.

## ◆ crlf()

GNet::LineBuffer::Config GNet::LineBuffer::Config::crlf | ( |  | ) |
| static

Definition at line 250 of file glinebuffer.cpp.

## ◆ eol()

const std::string & GNet::LineBuffer::Config::eol | ( |  | ) | const
| inline noexcept

Definition at line 497 of file glinebuffer.h.

## ◆ expect()

std::size_t GNet::LineBuffer::Config::expect | ( |  | ) | const
| inline noexcept

Definition at line 500 of file glinebuffer.h.

## ◆ fmin()

std::size_t GNet::LineBuffer::Config::fmin | ( |  | ) | const
| inline noexcept

Definition at line 499 of file glinebuffer.h.

## ◆ http()

GNet::LineBuffer::Config GNet::LineBuffer::Config::http | ( |  | ) |
| static

Definition at line 267 of file glinebuffer.cpp.

## ◆ newline()

GNet::LineBuffer::Config GNet::LineBuffer::Config::newline | ( |  | ) |
| static

Definition at line 240 of file glinebuffer.cpp.

## ◆ pop()

GNet::LineBuffer::Config GNet::LineBuffer::Config::pop | ( |  | ) |
| static

Definition at line 261 of file glinebuffer.cpp.

## ◆ set_eol()

GNet::LineBuffer::Config & GNet::LineBuffer::Config::set_eol | ( | const std::string & | s | ) |
| inline

Definition at line 501 of file glinebuffer.h.

## ◆ set_expect()

GNet::LineBuffer::Config & GNet::LineBuffer::Config::set_expect | ( | std::size_t | n | ) |
| inline noexcept

Definition at line 504 of file glinebuffer.h.

## ◆ set_fmin()

GNet::LineBuffer::Config & GNet::LineBuffer::Config::set_fmin | ( | std::size_t | n | ) |
| inline noexcept

Definition at line 503 of file glinebuffer.h.

## ◆ set_warn()

GNet::LineBuffer::Config & GNet::LineBuffer::Config::set_warn | ( | std::size_t | n | ) |
| inline noexcept

Definition at line 502 of file glinebuffer.h.

## ◆ smtp()

GNet::LineBuffer::Config GNet::LineBuffer::Config::smtp | ( |  | ) |
| static

Definition at line 255 of file glinebuffer.cpp.

## ◆ transparent()

GNet::LineBuffer::Config GNet::LineBuffer::Config::transparent | ( |  | ) |
| static

Definition at line 235 of file glinebuffer.cpp.

## ◆ warn()

std::size_t GNet::LineBuffer::Config::warn | ( |  | ) | const
| inline noexcept

Definition at line 498 of file glinebuffer.h.

## Member Data Documentation

## ◆ inf

constexpr std::size_t GNet::LineBuffer::Config::inf = ~(std::size_t(0))
| static constexpr

Definition at line 93 of file glinebuffer.h.

## ◆ m_eol

std::string GNet::LineBuffer::Config::m_eol {"\n",1U}

Definition at line 95 of file glinebuffer.h.

## ◆ m_expect

std::size_t GNet::LineBuffer::Config::m_expect {0U}

Definition at line 98 of file glinebuffer.h.

## ◆ m_fmin

std::size_t GNet::LineBuffer::Config::m_fmin {0U}

Definition at line 97 of file glinebuffer.h.

## ◆ m_warn

std::size_t GNet::LineBuffer::Config::m_warn {0U}

Definition at line 96 of file glinebuffer.h.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/glinebuffer.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/glinebuffer.cpp